Get all container images of a project
curl --request GET \
--url https://api-eu.cybedefend.com/project/{projectId}/results/container/imagesimport requests
url = "https://api-eu.cybedefend.com/project/{projectId}/results/container/images"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-eu.cybedefend.com/project/{projectId}/results/container/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"projectName": "<string>",
"images": [
{
"id": "<string>",
"projectId": "<string>",
"artifactName": "<string>",
"osFamily": "<string>",
"osName": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"vulnCounts": {
"critical": 123,
"high": 123,
"medium": 123,
"low": 123,
"unknown": 123
}
}
],
"totalImages": 123,
"totalPages": 123,
"currentPage": 123,
"pageSize": 123
}{
"timestamp": "2025-02-18T12:31:18.491Z",
"service": "AiService",
"method": "startConversation",
"message": "Invalid parameters provided",
"code": 400
}Container
Get all container images of a project
Retrieves all scanned container images associated with a project
GET
/
project
/
{projectId}
/
results
/
container
/
images
Get all container images of a project
Path Parameters
Project identifier
Query Parameters
Page number (starts from 1)
Required range:
x >= 1Example:
1
Number of items per page
Required range:
1 <= x <= 100Example:
20
Branch name to filter container images
Example:
"main"
Response
Container images retrieved successfully
⌘I